<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 6</title>
	<style type="text/css">
	.clase1{
		background-color: rgba(153,204,204,1);
	}
	</style>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js" type="text/javascript"></script>
	<script type="text/javascript">
	//funciion one y off para manejar eventos

	$(document).ready(function(){
		$("div").one("click",'ul li',function(){
			$(this).append("a"); //aparece una a al final del texto cuando pinchas en cualquier li, solo en el primero que pinchas
		});

		//con la funcion off con la funcion on tendremos el mismo comportamiento
		//$("div").on("click",'ul li',function(e){
		//	$(this).append("a"); 
		//	$(this).off(e);
		//});

		$("div").on("dblclick","ul li",function(){
			$(this).addClass("clase1"); //cuando haces doble click sobre cualquier li este coge la clase1 y fondo azul
		});

	});

	</script>

</head>
<body>
	<div>
		<ul>
			<li>ejemplo 1</li>
			<li>ejemplo 2</li>
			<li>ejemplo 3</li>
			<li>ejemplo 4</li>
		</ul>
	</div>

</body>
</html>